## org.jboss.netty.handler.codec.http
Class DefaultHttpResponse

    java.lang.Object
      org.jboss.netty.handler.codec.http.DefaultHttpMessage
          org.jboss.netty.handler.codec.http.DefaultHttpResponse

All Implemented Interfaces:
  HttpMessage, HttpResponse

    public class DefaultHttpResponse

extends DefaultHttpMessage
implements HttpResponse

The default `HttpResponse` implementation.

Version:
  $Rev: 2088 $, $Date: 2010-01-27 11:38:17 +0900 (Wed, 27 Jan 2010) $
Author:
  The Netty Project, Andy Taylor (andy.taylor@jboss.org), Trustin Lee

Constructor Summary
`DefaultHttpResponse(HttpVersion version, HttpResponseStatus status)` Creates a new instance.

Method Summary
`HttpResponseStatus` `getStatus()` Returns the status of this response.
`void` `setStatus(HttpResponseStatus status)` Sets the status of this response.
`String` `toString()`

Methods inherited from class org.jboss.netty.handler.codec.http.DefaultHttpMessage
`addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.netty.handler.codec.http.HttpMessage
`addHeader, clearHeaders, containsHeader, getContent, getContentLength, getContentLength, getHeader, getHeaderNames, getHeaders, getHeaders, getProtocolVersion, isChunked, isKeepAlive, removeHeader, setChunked, setContent, setHeader, setHeader, setProtocolVersion`

Constructor Detail

### DefaultHttpResponse

    public DefaultHttpResponse(HttpVersion version,
                               HttpResponseStatus status)

  Creates a new instance.

  Parameters:
    `version` - the HTTP version of this response
    `status` - the status of this response

Method Detail

### getStatus

    public HttpResponseStatus getStatus()

  Description copied from interface: `HttpResponse`
  Returns the status of this response.

  Specified by:
    `getStatus` in interface `HttpResponse`

### setStatus

    public void setStatus(HttpResponseStatus status)

  Description copied from interface: `HttpResponse`
  Sets the status of this response.

  Specified by:
    `setStatus` in interface `HttpResponse`

### toString

    public String toString()

  Overrides:
    `toString` in class `DefaultHttpMessage`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.